<?php
$wp_customize->add_setting( 'empowerment_banner_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_banner_heading',
		array(
			'label' => esc_html__( 'Banner Settings', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_breadcrumb_banner_section',
		)
	) 
);

$wp_customize->add_setting( 'empowerment_breadcrumb_banner_switch',
	array(
		'default' => true,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Toggle_Switch_Custom_control(
		$wp_customize, 'empowerment_breadcrumb_banner_switch',
		array(
			'label' => esc_html__( 'Show Banner', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_banner_section'
		)
	)
);

$wp_customize->add_setting( 'empowerment_bread_banner_bg_color',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_banner_bg_color',
		array(
			'label' => esc_html__( 'Background Color', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_banner_section',
			'show_opacity' => true,
			'active_callback' => 'empowerment_banner_button_cb'
		)
	)
);

$wp_customize->add_setting( 'empowerment_bread_title_color',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_title_color',
		array(
			'label' => esc_html__( 'Title Color', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_banner_section',
			'show_opacity' => false,
			'active_callback' => 'empowerment_banner_button_cb'
		)
	)
);

$wp_customize->add_setting( 'empowerment_banner_title_position',
	array(
		'default' => 'wide',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_sanitize_select'
	)
);
$wp_customize->add_control( 'empowerment_banner_title_position',
	array(
		'type'      => 'select',
		'choices'   => array(
			'left' => esc_html__('Left','empowerment'),              
			'right' => esc_html__('Right','empowerment'),
			'center' => esc_html__('Center','empowerment'),              
			'wide' => esc_html__('Wide','empowerment'),   
		),
		'label'     => esc_html__( 'Content Position', 'empowerment' ),
		'section'   => 'empowerment_breadcrumb_banner_section',
		'active_callback' => 'empowerment_banner_button_cb'
	)
);

$wp_customize->add_setting( 'empowerment_bread_title_size',
    array(
       'transport' => 'refresh',
       'sanitize_callback' => 'absint'
    )
);
 
$wp_customize->add_control( 'empowerment_bread_title_size',
    array(
       'label' => esc_html__( 'Font Size(px)','empowerment' ),
       'section' => 'empowerment_breadcrumb_banner_section',
	   'type' => 'number', 
	   'active_callback' => 'empowerment_banner_button_cb'
    )
);

$wp_customize->add_setting( 
	'empowerment_bread_banner_bg_image', 
	array(
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Upload_Control( 
		$wp_customize, 
		'empowerment_bread_banner_bg_image', 
		array(
			'label'      => esc_html__( 'Background Image', 'empowerment' ),
			'section'    => 'empowerment_breadcrumb_banner_section',
			'active_callback' => 'empowerment_banner_button_cb'                  
		)
	) 
);

$wp_customize->add_setting( 'empowerment_bread_banner_bg_overlay',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization',
		'default' => 'rgba(0, 0, 0, 0.1)'
	)
);
$wp_customize->add_control( 
	new Empowerment_Customize_Alpha_Color_Control( 
		$wp_customize, 'empowerment_bread_banner_bg_overlay',
		array(
			'label' => esc_html__( 'Background Overlay', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_banner_section',
			'show_opacity' => true,
			'active_callback'  => 'empowerment_bread_banner_image_cb',
		)
	)
);

$wp_customize->add_setting( 'empowerment_bread_banner_height',
	array(
		'default' => 150,
		'transport' => 'refresh',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control( 
	new Empowerment_Slider_Custom_Control( 
		$wp_customize, 'empowerment_bread_banner_height',
		array(
			'label' => esc_html__( 'Banner Height(px)', 'empowerment' ),
			'section' => 'empowerment_breadcrumb_banner_section',
			'input_attrs' => array(
				'max' => 800,
				'step' => 1,
				'min' => 150
			),
			'active_callback' => 'empowerment_banner_button_cb'
		)
	) 
);


// Upsell button
$wp_customize->add_setting( 'empowerment_banner_upsell',
	array(
		'default' => false,
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Control_Description( 
		$wp_customize, 'empowerment_banner_upsell',
		array(
			'section' => 'empowerment_breadcrumb_banner_section',
		)
	) 
);