<?php

$wp_customize->add_setting( 'empowerment_scrolltop_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_scrolltop_heading',
		array(
			'label' => esc_html__( 'Scroll Top Settings', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_additional_setting_section',
		)
	) 
);
$wp_customize->add_setting( 'empowerment_scroll_top_switch',
	array(
		'default' => true,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Toggle_Switch_Custom_control(
		$wp_customize, 'empowerment_scroll_top_switch',
		array(
			'label' => esc_html__( 'Show Scroll Top', 'empowerment' ),
			'section' => 'empowerment_additional_setting_section'
		)
	)
);
$wp_customize->add_setting( 'empowerment_scroll_top_position',
	array(
		'default' => 'right',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_text_sanitization'
	)
);
$wp_customize->add_control( 
	'empowerment_scroll_top_position',
	array(
		'type' => 'select',
		'label' => esc_html__( 'Scroll Top Position', 'empowerment' ),
		'section' => 'empowerment_additional_setting_section',
		'choices' => array(
			'left' => esc_html__('Left','empowerment'),
			'right' => esc_html__('Right','empowerment'),              
		),
		'active_callback'=>'empowerment_footer_scrolltotop_cb'
	)
);
$wp_customize->add_setting( 'empowerment_scroll_top_layout',
	array(
		'default' => 'square',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_text_sanitization'
	)
);
$wp_customize->add_control( 'empowerment_scroll_top_layout',
	array(
		'type' => 'select',
		'label' => esc_html__( 'Display Style', 'empowerment' ),
		'section' => 'empowerment_additional_setting_section',
		'choices' => array(
			'square' => esc_html__('Square','empowerment'),
			'circle' => esc_html__('Circle','empowerment'),              
		),
		'active_callback'=>'empowerment_footer_scrolltotop_cb'
	)
);
$wp_customize->add_setting( 'empowerment_scroll_top_bg',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Color_Control(
		$wp_customize, 'empowerment_scroll_top_bg',
		array(
			'label' => esc_html__( 'Background Color', 'empowerment' ),
			'section' => 'empowerment_additional_setting_section',
			'active_callback'=>'empowerment_footer_scrolltotop_cb'
		)
	) 
);
$wp_customize->add_setting( 'empowerment_scroll_top_bg_hover',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Color_Control(
		$wp_customize, 'empowerment_scroll_top_bg_hover',
		array(
			'label' => esc_html__( 'Background Hover', 'empowerment' ),
			'section' => 'empowerment_additional_setting_section',
			'active_callback'=>'empowerment_footer_scrolltotop_cb'
		)
	) 
);
$wp_customize->add_setting( 'empowerment_scroll_top_color',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Color_Control(
		$wp_customize, 'empowerment_scroll_top_color',
		array(
			'label' => esc_html__( 'Text Color', 'empowerment' ),
			'section' => 'empowerment_additional_setting_section',
			'active_callback'=>'empowerment_footer_scrolltotop_cb'
		)
	) 
);
$wp_customize->add_setting( 'empowerment_scroll_top_hover_color',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Color_Control(
		$wp_customize, 'empowerment_scroll_top_hover_color',
		array(
			'label' => esc_html__( 'Text Hover Color', 'empowerment' ),
			'section' => 'empowerment_additional_setting_section',
			'active_callback'=>'empowerment_footer_scrolltotop_cb'
		)
	) 
);