<?php 
//Header Layouts
$wp_customize->add_setting( 'empowerment_header_layout_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_header_layout_heading',
		array(
			'label' => esc_html__( 'Header Layouts', 'empowerment' ),
			'type' => 'heading',
			'section' => 'header_customizer_setting',
			'priority' => 1
		)
	) 
);
$wp_customize->add_setting( 'empowerment_header_layouts',
	array(
		'default' => 'default',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_text_sanitization'
	)
);
$wp_customize->add_control( new Empowerment_Text_Radio_Button_Custom_Control( $wp_customize, 'empowerment_header_layouts',
	array(
		'label' => esc_html__( 'Choose Header Layouts', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'choices' => array(
			'default' => esc_html__('Default','empowerment'),
			'custom' => esc_html__('Custom','empowerment'),
		),
		'priority' => 1
	)
) );


if (defined('ELEMENTOR_VERSION')):
//Custom header
$wp_customize->add_setting('empowerment_custom_header',
	array(
    	'capability' => 'edit_theme_options',
    	'sanitize_callback' => 'absint',
    	'transport' => 'refresh',
    )
);
$wp_customize->add_control( 'empowerment_custom_header',
	array(
		'label'  => esc_html__( 'Choose Header Template', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'type' => 'select',
		'choices' => empowerment_get_elementor_templates(),
		'active_callback' => 'empowerment_header_layouts_cb' 
	)
); 
else:
//Notice
$wp_customize->add_setting( 'empowerment_custom_header_notfound_notice',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
 $wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_custom_header_notfound_notice',
		array(
			'label' => esc_html__( 'Note:', 'empowerment' ),
			'description' => esc_html__( 'Elementor is not installed.Please install and activate elementor first.', 'empowerment' ),
			'type' => 'error',
			'section' => 'header_customizer_setting',
			'active_callback' => 'empowerment_header_layouts_cb'
		)
	) 
);
endif;

//Notice
$wp_customize->add_setting( 'empowerment_custom_header_notice',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
 $wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_custom_header_notice',
		array(
			'label' => esc_html__( 'Note:', 'empowerment' ),
			'description' => esc_html__( 'Header built from elementor will be applied.', 'empowerment' ),
			'type' => 'notice',
			'section' => 'header_customizer_setting',
			'active_callback' => 'empowerment_header_layouts_cb'
		)
	) 
); 

$wp_customize->add_setting( 'empowerment_sticky_header_switch_free',
	array(
		'default' => 0,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
 $wp_customize->add_control( 
	new Empowerment_Toggle_Switch_Custom_control( 
		$wp_customize, 'empowerment_sticky_header_switch_free',
		array(
			'label' => esc_html__( 'Sticky Header', 'empowerment' ),
			'section' => 'header_customizer_setting',
			'priority' => 1,
			'feature' => 'locked'
		)
	) 
);   

/* Header Button */
$wp_customize->add_setting( 'empowerment_header_button_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_header_button_heading',
		array(
			'label' => esc_html__( 'Header Button', 'empowerment' ),
			'type' => 'heading',
			'section' => 'header_customizer_setting',
		)
	) 
);
$wp_customize->add_setting( 'empowerment_show_search_switch',
	array(
		'default' => 1,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
 $wp_customize->add_control( 
	new Empowerment_Toggle_Switch_Custom_control( 
		$wp_customize, 'empowerment_show_search_switch',
		array(
			'label' => esc_html__( 'Show Search', 'empowerment' ),
			'section' => 'header_customizer_setting'
		)
	) 
);  
$wp_customize->add_setting( 'empowerment_search_layout',
	array(
		'default' => 'default',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_text_sanitization'
	)
);
$wp_customize->add_control( new Empowerment_Text_Radio_Button_Custom_Control( $wp_customize, 'empowerment_search_layout',
	array(
		'label' => esc_html__( 'Choose Search Layouts', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'choices' => array(
			'default' => esc_html__('Default','empowerment'),
			'classic' => esc_html__('Classic','empowerment'),
		),
		'active_callback' => 'empowerment_show_search_switch_cb'
	)
) );
$wp_customize->add_setting( 'empowerment_search_button_type',
	array(
		'default' => 'icon',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_text_sanitization'
	)
);
$wp_customize->add_control( new Empowerment_Text_Radio_Button_Custom_Control( $wp_customize, 'empowerment_search_button_type',
	array(
		'label' => esc_html__( 'Show Button Type', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'choices' => array(
			'icon' => esc_html__('Icon','empowerment'),
			'button' => esc_html__('Button','empowerment'),
		),
		'active_callback' => 'empowerment_show_search_switch_cb',
	)
) );     
$wp_customize->add_setting( 'empowerment_search_btn_text', 
	array(
		'default' => __('Search','empowerment'),
		'sanitize_callback' => 'wp_kses_post',
	)
);
$wp_customize->add_control( 'empowerment_search_btn_text', 
	array(
		'label' => esc_html__( 'Button Text', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'type' => 'text',
		'active_callback' => 'empowerment_search_btn_text_cb'
	)
);    
$wp_customize->add_setting( 'empowerment_search_placeholder', 
	array(
		'default' => __('Search...','empowerment'),
		'sanitize_callback' => 'wp_kses_post',
	)
);
$wp_customize->add_control( 'empowerment_search_placeholder', 
	array(
		'label' => esc_html__( 'Search Placeholder', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'type' => 'text',
		'active_callback' => 'empowerment_show_search_switch_cb',
	)
); 
$wp_customize->add_setting( 'empowerment_show_purchase_btn_switch',
	array(
		'default' => 0,
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_switch_sanitization'
	)
);
 $wp_customize->add_control( 
	new Empowerment_Toggle_Switch_Custom_control( 
		$wp_customize, 'empowerment_show_purchase_btn_switch',
		array(
			'label' => esc_html__( 'Show Button', 'empowerment' ),
			'section' => 'header_customizer_setting'
		)
	) 
);     
$wp_customize->add_setting( 'empowerment_purchase_btn_text', 
	array(
		'default' => __('Purchase','empowerment'),
		'sanitize_callback' => 'wp_kses_post',
	)
);
$wp_customize->add_control( 'empowerment_purchase_btn_text', 
	array(
		'label' => esc_html__( 'Button Text', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'type' => 'text',
		'active_callback' => 'empowerment_header_button_cb'
	)
); 
$wp_customize->add_setting( 'empowerment_purchase_btn_link', 
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);
$wp_customize->add_control( 'empowerment_purchase_btn_link', 
	array(
		'label' => esc_html__( 'Button link', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'type' => 'url',
		'active_callback' => 'empowerment_header_button_cb'
	)
); 
$wp_customize->add_setting( 'empowerment_purchase_btn_link_open',
array(
	'default' => true,
	'sanitize_callback' => 'empowerment_switch_sanitization'
)
);
$wp_customize->add_control(
new Empowerment_Toggle_Switch_Custom_control(
	$wp_customize, 'empowerment_purchase_btn_link_open',
	array(
		'label' => esc_html__( 'Open link in a new tab', 'empowerment' ),
		'section' => 'header_customizer_setting',
		'active_callback' => 'empowerment_header_button_cb'
		
	)
)
);

/* Retina Logo */
$wp_customize->add_setting( 
	'empowerment_header_retina_logo', 
	array(
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Upload_Control( 
		$wp_customize, 
		'empowerment_header_retina_logo', 
		array(
			'label'      => esc_html__( 'Retina Logo', 'empowerment' ),
			'priority'   => 9,
			'section'    => 'title_tagline'                   
		)
	) 
);

/* Sticky Logo */
$wp_customize->add_setting( 
	'empowerment_header_sticky_logo', 
	array(
		'sanitize_callback' => 'esc_url_raw'
	)
);
$wp_customize->add_control( 
	new WP_Customize_Upload_Control( 
		$wp_customize, 
		'empowerment_header_sticky_logo', 
		array(
			'label'      => __( 'Sticky Logo', 'empowerment' ),
			'priority'   => 9,
			'section'    => 'title_tagline'                   
		)
	) 
);

// Main Menu
$wp_customize->add_setting( 'empowerment_nav_font_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_nav_font_heading',
		array(
			'label' => esc_html__( 'Primary Menu', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_primary_menu_style',
			'priority' => 1
		)
	) 
);
$wp_customize->add_setting( 'empowerment_nav_font_family',
	array(
		'default' => '{"font":"Cormorant Garamond","regularweight":"normal","boldweight":"600","category":"serif"}',
		'sanitize_callback' => 'empowerment_google_font_sanitization',
		'transport' => 'refresh',
	)
);
$wp_customize->add_control( 
	new Empowerment_Google_Font_Select_Custom_Control( 
		$wp_customize, 'empowerment_nav_font_family',
		array(
			'label' => esc_html__( 'Font Family' , 'empowerment'),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'font_count' => 'all',
				'orderby' => 'alpha',
			),
			'priority' => 2
		)
	) 
);

$wp_customize->add_setting( 'empowerment_nav_font_size',
	array(
		'default' => '15',
		'transport' => 'refresh',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control( 
	new Empowerment_Slider_Custom_Control( 
		$wp_customize, 'empowerment_nav_font_size',
		array(
			'label' => esc_html__( 'Font Size(px)', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'min' => 0,
				'max' => 100,
				'step' => 1,
			),
			'priority' => 4
		)
	) 
);
$wp_customize->add_setting( 'empowerment_nav_line_height',
	array(
		'default' => '1.7',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_floatval'
	)
);
$wp_customize->add_control( 
	new Empowerment_Slider_Custom_Control( 
		$wp_customize, 'empowerment_nav_line_height',
		array(
			'label' => esc_html__( 'Line Height(em)', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'min' => 0,
				'max' => 10,
				'step' => 0.1,
			),
			'priority' => 5
		)
	) 
);

$wp_customize->add_setting( 'empowerment_header_nav_text_color',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control( 
		$wp_customize, 'empowerment_header_nav_text_color',
		array(
			'label' => esc_html__( 'Nav Text Color', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'priority' => 5
		)
	) 
);
$wp_customize->add_setting( 'empowerment_header_nav_text_hcolor',
	array(
		'default' => '',
		'sanitize_callback' => 'empowerment_hex_rgba_sanitization',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control( 
		$wp_customize, 'empowerment_header_nav_text_hcolor',
		array(
			'label' => esc_html__( 'Nav Hover Color', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'priority' => 5
		)
	) 
);

/* dropdown menu */
$wp_customize->add_setting( 'empowerment_nav_drop_font_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_nav_drop_font_heading',
		array(
			'label' => esc_html__( 'Dropdown', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_primary_menu_style',
			'priority' => 6
		)
	) 
);
$wp_customize->add_setting( 'empowerment_nav_drop_font_family',
	array(
		'default' => '{"font":"Cormorant Garamond","regularweight":"normal","boldweight":"600","category":"serif"}',
		'sanitize_callback' => 'empowerment_google_font_sanitization',
		'transport' => 'refresh',
	)
);
$wp_customize->add_control( 
	new Empowerment_Google_Font_Select_Custom_Control( 
		$wp_customize, 'empowerment_nav_drop_font_family',
		array(
			'label' => esc_html__( 'Font Family' , 'empowerment'),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'font_count' => 'all',
				'orderby' => 'alpha',
			),
			'priority' => 7
		)
	) 
);

$wp_customize->add_setting( 'empowerment_nav_drop_font_size',
	array(
		'default' => '15',
		'transport' => 'refresh',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control( 
	new Empowerment_Slider_Custom_Control( 
		$wp_customize, 'empowerment_nav_drop_font_size',
		array(
			'label' => esc_html__( 'Font Size(px)', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'min' => 0,
				'max' => 100,
				'step' => 1,
			),
			'priority' => 8
		)
	) 
);
$wp_customize->add_setting( 'empowerment_nav_drop_line_height',
	array(
		'default' => '1.7',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_floatval'
	)
);
$wp_customize->add_control( 
	new Empowerment_Slider_Custom_Control( 
		$wp_customize, 'empowerment_nav_drop_line_height',
		array(
			'label' => esc_html__( 'Line Height(em)', 'empowerment' ),
			'section' => 'empowerment_primary_menu_style',
			'input_attrs' => array(
				'min' => 0,
				'max' => 10,
				'step' => 0.1,
			),
			'priority' => 9
		)
	) 
);