<?php
$wp_customize->add_setting( 'empowerment_page_sidebar_heading',
	array(
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control( 
	new Empowerment_Simple_Notice_Custom_Control( 
		$wp_customize, 'empowerment_page_sidebar_heading',
		array(
			'label' => esc_html__( 'Sidebar Settings', 'empowerment' ),
			'type' => 'heading',
			'section' => 'empowerment_page_sidebar_section',
		)
	) 
);
$wp_customize->add_setting( 'empowerment_page_sidebar_layout',
	array(
		'default' => 'no-sidebar',
		'transport' => 'refresh',
		'sanitize_callback' => 'empowerment_radio_sanitization'
	)
);
$wp_customize->add_control(
	new Empowerment_Image_Radio_Button_Custom_Control(
		$wp_customize, 'empowerment_page_sidebar_layout',
		array(
			'label' => esc_html__( 'Choose Sidebar Layout', 'empowerment' ),
			'section' => 'empowerment_page_sidebar_section',
			'choices' => array(
				'left-sidebar' => array(
					'image' => trailingslashit( get_template_directory_uri() ) . 'inc/empowerment-customizer/images/sidebar-left.png',
					'name' => esc_html__( 'Left Sidebar', 'empowerment' )
				),
				'right-sidebar' => array(
					'image' => trailingslashit( get_template_directory_uri() ) . 'inc/empowerment-customizer/images/sidebar-right.png',
					'name' => esc_html__( 'Right Sidebar', 'empowerment' )
				),
				'no-sidebar' => array(
					'image' => trailingslashit( get_template_directory_uri() ) . 'inc/empowerment-customizer/images/sidebar-none.png',
					'name' => esc_html__( 'No Sidebar', 'empowerment' )
				)
			)
		)
	) 
);
$wp_customize->add_setting('empowerment_page_sidebar', array(
	'default'           =>  'default-sidebar',
	'sanitize_callback' => 'empowerment_text_sanitization',
));
$wp_customize->add_control(
	new Empowerment_Sidebar_Dropdown_Custom_Control(
		$wp_customize, 'empowerment_page_sidebar', array(
			'label'    		=> esc_html__('Choose Sidebar', 'empowerment'),
			'section'  		=> 'empowerment_page_sidebar_section',
			'active_callback'=>'empowerment_page_sidebar_cb',
		)
	)
);